Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.tcap
Interface TcapNodeMBean

public abstract interface TcapNodeMBean
extends TcapManagedObjectMBean

This interface defines a local TCAP Node. There will be one instance of a local TCAP per local signalling point. Where multiple logical signalling points exist within the one physical stack, there will be several local TCAP instances.

The following statistics can be collected for this MBean

- TCAP_TOTAL_RECEIVED
- TCAP_TOTAL_SENT
- TCAP_PROT_ERR_TRANS_PORT1
- TCAP_PROT_ERR_TRANS_PORT2
- TCAP_PROT_ERR_COMP_PORT

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- TCAP_ALARM_RESOURCE_LIMIT_REACHED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR
- TCAP_ERROR_ILLEGAL_TIMER_EXPIRY
- TCAP_ERROR_MEMORY_ALLOCATION_FAILURE
- TCAP_ERROR_MSG_MISSING_MANDATORY_PARAM
- TCAP_ERROR_INVOKE_ID_IN_USE
- TCAP_ERROR_INVOKE_ID_UNRECOGNISED
- TCAP_ERROR_DIALOGUE_ID_UNRECOGNISED
- TCAP_ERROR_MSG_UNEXPECTED_TYPE
- TCAP_ERROR_DIALOGUE_ID_UNAVAILABLE

Relationship between the TCAP JAIN OAM MBean

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getOwnSignallingPoint()` Returns the ObjectName of the signalling point of this TCAP Node
`ObjectName` | `getSubsystem(java.lang.Integer index)` Returns the ObjectName of one of the subsystems of this TCAP Node
`ObjectName[]` | `getSubsystems()` Returns an array of ObjectNames of the set of subsystems of this TCAP Node
`void` | `setOwnSignallingPoint(ObjectName ownSignallingPoint)` Sets the signalling point of this TCAP Node identified by the specified ObjectName.
`void` | `setSubsystem(java.lang.Integer index, ObjectName subsystem)` Sets one of the subsystems (identified by the specified ObjectName of a SccpSapMBean) of this TCAP Node.
`void` | `setSubsystems(ObjectName[] subsystems)` Sets all of the subsystems (identified by the specified array of ObjectNames of SccpSapMBeans) of this TCAP Node.

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### setOwnSignallingPoint

    public void setOwnSignallingPoint(ObjectName ownSignallingPoint)

  Sets the signalling point of this TCAP Node identified by the specified ObjectName.

### getOwnSignallingPoint

    public ObjectName getOwnSignallingPoint()

  Returns the ObjectName of the signalling point of this TCAP Node

### setSubsystem

    public void setSubsystem(java.lang.Integer index,
                             ObjectName subsystem)
                      throws TooManyInstancesException

  Sets one of the subsystems (identified by the specified ObjectName of a SccpSapMBean) of this TCAP Node.
  Parameters:
    `index` - - the position at which the subsystem is to be set
    `subsystem` - - the ObjectName of the subystem (SccpSapMBean) to be set for this TCAP node
  Throws:
    TooManyInstancesException - - if no more subsystems can be set for this TCAP Node

### setSubsystems

    public void setSubsystems(ObjectName[] subsystems)
                       throws TooManyInstancesException

  Sets all of the subsystems (identified by the specified array of ObjectNames of SccpSapMBeans) of this TCAP Node.
  Parameters:
    `subsystems` - the ObjectName of the set of subsystems (SccpSapMBeans) to be set for this TCAP Node
  Throws:
    TooManyInstancesException - - if no more subsystems can be set for this TCAP Node

### getSubsystem

    public ObjectName getSubsystem(java.lang.Integer index)

  Returns the ObjectName of one of the subsystems of this TCAP Node
  Parameters:
    `index` - the index of the subsystem
  Returns:
    the subsystem at the specified index

### getSubsystems

    public ObjectName[] getSubsystems()

  Returns an array of ObjectNames of the set of subsystems of this TCAP Node
  Returns:
    - all of the subsystems of this TCAP Node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems